<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<% /* 
    * Licensed Materials - Property of IBM
    *
    * WebSphere Development Studio Client for i5/OS - WebFacing
    *
    * © Copyright IBM Corp. 2004, 2006 All Rights Reserved
    *
    * US Government Users Restricted Rights - Use, duplication or
    * disclosure restricted by GSA ADP Schedule Contract with
    * IBM Corp.
    */ %>
<%@ page import="com.ibm.as400ad.webfacing.common.WFAppProperties" %>
<%@ page import="com.ibm.as400ad.webfacing.runtime.controller.WFError" %>
<%@ page import="com.ibm.as400ad.webfacing.runtime.controller.WFClient" %>

<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>


<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<style type="text/css">
  body { background-color : white;
         font-size : 12pt;
         font-family : Arial, Helvetica, Verdana, sans serif;
         color : #6666CC; }

  .errorHead{color : #6699FF; font: 170% sans-serif;  font-weight : bold;}
  .errorText{font: 100% bold serif; color: #000066;}
  a:hover { background : #ffa; }
</style>

<TITLE>Application Error Page</TITLE>

<jsp:useBean id="WFApplication" scope="application" class="com.ibm.as400ad.webfacing.runtime.controller.WFApplication"/>
<%
 WFClient WFClient = null;
 // this is for when a request is coming from HelpBuilder.jsp 
 if(request.getAttribute("WFClientPortletSessionID") != null){
   String id = (String)request.getAttribute("WFClientPortletSessionID");
 	WFClient = (WFClient)session.getAttribute(id);
 }
 WFError wferror = WFClient.getWferror(); %>
<% try { %>
<TABLE WIDTH=100%>
  <TBODY>
    <%if (WFClient != null && WFClient.getApplicationTitle() != null) {%>
      <TR>
        <td COLSPAN=3 HEIGHT=80 class="errorHead">
          <center><span class="errorHead"><%=WFClient.getApplicationTitle()%></span></center>
        </td>
      </TR>
    <%}%>
    <TR>
      <TD>
      <TABLE>
        <TBODY>
          <TR>
            <TD><html:img page="/webfacing/images/IBM/app_err.gif"  border="0"/></TD>
            <TD STYLE="font-size:x-large;">Application Error</TD>
	    <TD></TD>
          </TR>
        </TBODY>
      </TABLE>
      </TD>
    </TR>
  </TBODY>
</TABLE>
<BR>
<HR>
<%String userMessage = wferror.getEndUserMessage();%>

<%if (wferror.getDetailLevel() == 0 || userMessage == null || userMessage.length() == 0) {%><P>An error occurred, while the application was running.</p>
<%}else if (wferror.getDetailLevel() >= 1) {%>
  <P>The following error occurred while the application was running :<BR><BR>&nbsp;&nbsp;&nbsp;&nbsp;
  <SPAN CLASS=errorText><%=userMessage%></SPAN></P>
<%}%>

<%if (WFApplication != null && WFApplication.getWfAppProp().getContactAdminURL() != null) {%>
  <P>If you would like assistance, click <A HREF="<%="mailto:" + WFApplication.getWfAppProp().getContactAdminURL()%>">here</A> to contact the administrator.</P>
<%}/*if (WFApplication.getWfAppProp().getContactAdminURL() != null)*/%>

<%if ((wferror.getException() instanceof com.ibm.as400ad.webfacing.runtime.help.HelpException) == false) {%>
  <P>To restart the application, click <html:link forward="/index.jsp">here</html:link>.</P>
<%}/*end if ((wferror.getException() instanceof HelpException) == false)*/%>

<%if (wferror.getDetailLevel() >= 2) {
  String adminMessage = wferror.getAdminMessage();%>
  <HR>
  <P>Additional information :<BR><BR>&nbsp;&nbsp;&nbsp;&nbsp;
  <SPAN CLASS=errorText><%=adminMessage!= null && adminMessage.length() > 0 ? adminMessage : "Administrative message is not available."%></SPAN></P>
<%}/*end if (wferror.getDetailLevel() >= 2)*/%>

<%if (wferror.getDetailLevel() >= 3) {%>
  <%java.util.Vector details = wferror.getDetails();%>
  <P>Details :
  <%if (details != null && details.size() > 0) {%>
    <UL>
      <%for (int i = 0; i < details.size(); i++) {%>
        <LI CLASS=errorText>
          <SPAN CLASS=errorText><%=wferror.getDetails(i)%></SPAN>
        </LI>
      <%}/*for loop*/%>
    </UL>
  <%}else{%>
    <BR><BR>&nbsp;&nbsp;&nbsp;&nbsp;<SPAN CLASS=errorText>Details are not available.</SPAN>
  <%}/*end if details != null*/%>
  </P>
<%}/*end if (wferror.getDetailLevel() >= 3)*/%>

<A href="http://www.ibm.com/software/awdtools/wdt400/"><html:img page="/webfacing/images/IBM/WebFacing.gif" border="0"/></A>
<% } catch(Throwable thr) {System.out.println("exception in Error.jsp = " + thr); %>
<P STYLE="color:red; font-weight:bold">An exception occurred while running Error.jsp.</P>
<%} finally {
  /* Remove the error bean from the session if it's of type HelpException */
  if (wferror.getException() instanceof com.ibm.as400ad.webfacing.runtime.help.HelpException) {
  	WFClient.clearError();
  }
  /* DO NOT REMOVE - Ensure we release the runtime lock */
  WFClient.releaseLock();
}%>

